Add a member
curl --request POST \
--url https://go-fetch.io/api/v1/organizations/{id}/members/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://go-fetch.io/api/v1/organizations/{id}/members/"
payload = { "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://go-fetch.io/api/v1/organizations/{id}/members/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "jsmith@example.com",
"user_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"role": "owner"
}Organizations
Add a member
Adds an existing account by its user id, with any role but owner. Needs a key with the admin scope.
POST
/
api
/
v1
/
organizations
/
{id}
/
members
/
Add a member
curl --request POST \
--url https://go-fetch.io/api/v1/organizations/{id}/members/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://go-fetch.io/api/v1/organizations/{id}/members/"
payload = { "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://go-fetch.io/api/v1/organizations/{id}/members/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "jsmith@example.com",
"user_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"role": "owner"
}Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json
owner- Owneradmin- Adminmember- Memberviewer- Viewer
Available options:
owner, admin, member, viewer